"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var CSSRule_1 = __importDefault(require("../CSSRule"));
var MediaList_1 = __importDefault(require("../MediaList"));
/**
 * CSSRule interface.
 */
var CSSMediaRule = /** @class */ (function (_super) {
    __extends(CSSMediaRule, _super);
    function CSSMediaRule() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.type = CSSRule_1.default.MEDIA_RULE;
        _this.cssRules = [];
        _this.media = new MediaList_1.default();
        return _this;
    }
    Object.defineProperty(CSSMediaRule.prototype, "cssText", {
        /**
         * Returns css text.
         *
         * @returns CSS text.
         */
        get: function () {
            var cssText = '';
            for (var _i = 0, _a = this.cssRules; _i < _a.length; _i++) {
                var cssRule = _a[_i];
                cssText += cssRule.cssText;
            }
            return "@media " + this.conditionalText + " { " + cssText + " }";
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(CSSMediaRule.prototype, "conditionalText", {
        /**
         * Returns conditional text.
         *
         * @returns Conditional text.
         */
        get: function () {
            return this.media.mediaText;
        },
        enumerable: false,
        configurable: true
    });
    return CSSMediaRule;
}(CSSRule_1.default));
exports.default = CSSMediaRule;
//# sourceMappingURL=CSSMediaRule.js.map