export default class URL {
    protocol: string;
    hostname: string;
    port: string;
    pathname: string;
    search: string;
    hash: string;
    username: string;
    password: string;
    /**
     * Constructor.
     *
     * @param [url] URL.
     */
    constructor(url?: string);
    /**
     * Returns the entire URL as a string.
     */
    toString(): string;
    /**
     * Parses an URL.
     *
     * @param url URL.
     */
    protected parse(url: string): void;
    /**
     * Returns the entire URL as a string.
     *
     * @return Href.
     */
    get href(): string;
    /**
     * Sets the href.
     *
     * @param url URL.
     */
    set href(url: string);
    /**
     * Returns the origin.
     *
     * @return HREF.
     */
    get origin(): string;
    /**
     * Returns the entire URL as a string.
     *
     * @return Host.
     */
    get host(): string;
}
