"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var RelativeURL_1 = __importDefault(require("../../location/RelativeURL"));
/**
 * Helper class for getting the URL relative to a Location object.
 */
var ScriptUtility = /** @class */ (function () {
    function ScriptUtility() {
    }
    /**
     * Returns a URL relative to the given Location object.
     *
     * @param options Options.
     * @param options.window Location.
     * @param options.url URL.
     * @param options.async Async.
     */
    ScriptUtility.loadExternalScript = function (options) {
        if (options.async) {
            options.window
                .fetch(options.url)
                .then(function (response) { return response.text(); })
                .then(function (code) {
                options.window.eval(code);
            })
                .catch(function (error) {
                throw error;
            });
        }
        else {
            var url = RelativeURL_1.default.getAbsoluteURL(options.window.location, options.url);
            var request = null;
            try {
                request = require('sync-request');
            }
            catch (error) {
                throw new Error('Failed to load script. "sync-request" could not be loaded.');
            }
            var code = request('GET', url).getBody();
            options.window.eval(code);
        }
    };
    return ScriptUtility;
}());
exports.default = ScriptUtility;
//# sourceMappingURL=ScriptUtility.js.map